<template>
  <span>
    <AppPopover
      v-if="auth === null || blocked"
      @click.native="onPopoverClick"
      :options="{trigger: 'click', additionalClasses: ['tooltipAddPrice', 'tooltipDark']}">

      <template slot="tooltip-trigger">
        <AppButton :classes="['_none-round', 'buttonAddItem']">
          <div
            class="button-item"
            slot="button-item">
            <img
              svg-inline
              src="~/assets/svg/redesign/plus.svg">
            Добавить запчасти
          </div>
        </AppButton>
      </template>

      <template slot="tooltip-content">
        <template v-if="auth === null">
          <div class="tooltip-text">Доступно только авторизованным</div>
          <a
            class="button buttonOutline"
            href="#"
            @click.prevent="$emit('showAuthModal'); $ym('add_spare_part_popup_enter')"
            v-close-popover>Войти или зарегистрироваться</a>
        </template>

        <template v-else-if="!auth.isCompleteProfile">
          <div>Необходимо заполнить профиль</div>
          <flink
            class="button buttonOutline"
            rel="nofollow"
            domain="main"
            href="/cabinet/wrench/profile">Перейти к заполнению</flink>
        </template>

        <template v-else-if="auth.isOrganization">
          <template v-if="!auth.organizationSended">
            <div>Необходимо заполнить данные организации</div>
            <flink
              class="button buttonOutline"
              rel="nofollow"
              domain="main"
              href="/cabinet/wrench/organization-info">Перейти к заполнению</flink>
          </template>
          <template v-else-if="!auth.isOrganizationWithShop">
            <div>Необходимо добавить магазин</div>
            <flink
              class="button buttonOutline"
              rel="nofollow"
              domain="main"
              href="/cabinet/wrench/organization-sto/shop/create/">Перейти к добавлению</flink>
          </template>
        </template>
      </template>
    </AppPopover>

    <flink
      v-else
      class="button _none-round buttonAddItem"
      :href="auth.isOrganization ? '/cabinet/price-upload/upload' : '/cabinet/warehouse/do-parts'"
      domain="main"
      @click.native="$ga('Price','Click14');$ym('add_spare_part')">
      <div class="button-item">
        <img
          svg-inline
          src="~/assets/svg/redesign/plus.svg">
        Добавить запчасти
      </div>
    </flink>
  </span>
</template>

<script>
import AppButton from '~/components/redesign/app-buttons/app-button';
import AppPopover from '~/components/redesign/app-tooltip/app-popover';

export default {
  components: {
    AppButton,
    AppPopover,
  },
  props: {
    auth: {
      type: Object,
      default() { return null; },
    },
    colored: {
      type: Boolean,
      default: false,
    },
    coloredClass: {
      type: String,
      default: '',
    },
    popoverBaseClass: {
      type: String,
      default: '',
    },
  },
  computed: {
    blocked() {
      return !this.auth.isCompleteProfile
        || (this.auth.isOrganization && (!this.auth.organizationSended || !this.auth.isOrganizationWithShop));
    },
  },
  methods: {
    onPopoverClick() {
      if (this.auth === null) {
        this.$ym('add_spare_part_popup_unauth_open');
      }
    },
  },
};
</script>

<style lang="postcss">

</style>
